clang 8.0.0

Public Member Functions | List of all members
clang::declvisitor::Base< Ptr, ImplClass, RetTy > Class Template Reference

A simple visitor class that helps create declaration visitors. More...

`#include "clang/AST/DeclVisitor.h"`

Inheritance diagram for clang::declvisitor::Base< Ptr, ImplClass, RetTy >:
[legend]

## Public Member Functions
RetTy | Visit (PTR(Decl) D)
RetTy | VisitDecl (PTR(Decl) D)

## Detailed Description

### template<template< typename > class Ptr, typename ImplClass, typename RetTy = void>
class clang::declvisitor::Base< Ptr, ImplClass, RetTy >

A simple visitor class that helps create declaration visitors.

Definition at line 32 of file DeclVisitor.h.

## Member Function Documentation

## ◆ Visit()

template<template< typename > class Ptr, typename ImplClass, typename RetTy = void>

RetTy clang::declvisitor::Base< Ptr, ImplClass, RetTy >::Visit | ( | PTR(Decl) | D | ) |
| inline

Definition at line 38 of file DeclVisitor.h.

Referenced by clang::Sema::InstantiateClass(), and clang::Sema::SubstDecl().

## ◆ VisitDecl()

template<template< typename > class Ptr, typename ImplClass, typename RetTy = void>

RetTy clang::declvisitor::Base< Ptr, ImplClass, RetTy >::VisitDecl | ( | PTR(Decl) | D | ) |
| inline

Definition at line 54 of file DeclVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclVisitor.h